## pystac 1.13.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml:
	sphinx-autobuild --watch ../pystac --host 0.0.0.0 ${SOURCEDIR} $(BUILDDIR)/html -d _build/doctrees

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pystac 1.8.3

=== debian/changelog ===
pystac (1.8.3-1) unstable; urgency=medium

  * Team upload.

  [ Antonio Valentino ]
  * New upstream release.
  * Drop the unnecessary d/tests folder.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Aug 2023 20:15:23 +0200

pystac (1.8.1-1) unstable; urgency=low

  * Initial release (Closes: #1040045).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 02 Jul 2023 15:57:09 +0000

=== debian/control ===
Source: pystac
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               libjs-mathjax <!nodoc>,
               pandoc <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dateutil,
               python3-html5lib,
               python3-jinja2,
               python3-jsonschema,
               python3-nbsphinx <!nodoc>,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-pytest-vcr <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-urllib3
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Homepage: https://github.com/stac-utils/pystac
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pystac
Vcs-Git: https://salsa.debian.org/debian-gis-team/pystac.git
Description: Python library for working with the SpatioTemporal Asset Catalog
 PySTAC is a library for working with the SpatioTemporal Asset Catalog (STAC)
 specification (https://stacspec.org) in Python 3.
 .
 Some nice features of PySTAC are:
 .
  * Reading and writing STAC version 1.0. Future versions will read older
    versions of STAC, but always write the latest supported version.
    See STAC Spec Version Support for details.
  * In-memory manipulations of STAC catalogs.
  * Extend the I/O of STAC metadata to provide support for other platforms
    (e.g. cloud providers).
  * Easy, efficient crawling of STAC catalogs. STAC objects are only read
    in when needed.
  * Easily write "absolute published", "relative published" and
    "self-contained" catalogs as described in the best practices
    documentation.

Package: python3-pystac
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-jsonschema
Recommends: python3-jinja2,
            python3-urllib3
Suggests: python-pystac-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-pystac-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides documentation for pystac.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

export PYBUILD_NAME=pystac
export PYBUILD_TEST_ARGS=-k "\
not test_read_remote \
and not test_validate_all \
and not test_validate_all_with_max_n \
and not test_validate_all_with_recusive_off \
and not test_testcases \
and not test_validate_examples \
and not test_validate_all \
and not test_set_field \
and not test_label \
and not test_item_asset \
and not test_null_geometry \
and not test_non_hierarchical_relative_link \
and not test_apply_bitfields \
and not test_validate_classification \
and not test_validate \
and not test_set_variables \
and not test_set_dimensions \
and not test_asset_bands \
and not test_bands \
and not test_cloud_cover \
and not test_validate_eo \
and not test_validate_collection \
and not test_validate_item \
and not test_attributes \
and not test_modify \
and not test_asset_bands \
and not test_validate_raster \
and not test_collection_validate \
and not test_retry_stac_io \
and not test_item_validate \
and not test_all \
and not test_required \
and not PointcloudTest \
and not ItemScientificExtensionTest \
and not CollectionScientificExtensionTest \
and not ItemVersionExtensionTest \
and not CollectionVersionExtensionTest \
and not SatTest \
and not ViewTest \
and not TimestampsTest \
and not AssetStorageExtensionTest \
and not ProjectionTest"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

## pystac 1.9.0

=== debian/changelog ===
pystac (1.9.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0004-Do-not-use-the-deprecated-utcnow.patch and
      0005-Do-not-raise-error-on-deprecations.patch
      (Closes: #1056444).
  * debian/rules:
    - Skip test_get_schema_uri due to
      0005-Do-not-raise-error-on-deprecations.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Nov 2023 18:15:41 +0000

pystac (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update dependencies.
  * debian/patches:
    - Drop d/patches/0001-Skip-tests-requiring-pytest-recording.patch.
    - Refresh remaining patches.
  * debian/copyright:
    - Drop no longer necessary entries.
    - Update copyright dates.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Oct 2023 14:10:43 +0000

pystac (1.8.4-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * New d/python3-pystac.lintian-overrides.
  * debian/rules:
    - Simplify target to build doc.

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Sep 2023 16:34:40 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,13 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                libjs-mathjax <!nodoc>,
                pandoc <!nodoc>,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-boto3,
                python3-dateutil,
                python3-html5lib,
                python3-jinja2,
@@ -16,8 +19,11 @@
                python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               python3-pytest-vcr <!nocheck>,
+               python3-pytest-recording <!nocheck>,
+               python3-rasterio,
+               python3-requests-mock <!nocheck>,
                python3-setuptools,
+               python3-shapely,
                python3-sphinx <!nodoc>,
                python3-sphinx-design <!nodoc>,
                python3-urllib3

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

export PYBUILD_NAME=pystac
export PYBUILD_TEST_ARGS=\
-k "not test_read_remote \
and not test_validate \
and not test_multiple_extents \
and not test_null_datetime \
and not test_null_geometry \
and not test_relative_extension_path \
and not test_non_hierarchical_relative_link \
and not test_apply_bitfields \
and not test_set_variables \
and not test_set_dimensions \
and not test_asset_bands \
and not test_bands \
and not test_cloud_cover \
and not test_set_field \
and not test_attributes \
and not test_modify \
and not test_collection_validate \
and not test_item_validate \
and not test_all \
and not test_required \
and not test_self_contained_catalog_collection_item_links \
and not test_assets \
and not test_spatial_allows_single_bbox \
and not test_invalid_error_message \
and not test_migrate_from_v2_0_0 \
and not test_migrate_from_v1_0_0 \
and not test_add_version \
and not test_version_in_properties \
and not test_add_not_deprecated_version \
and not test_add_deprecated_version \
and not test_latest \
and not test_predecessor \
and not test_successor \
and not test_collection_add_version \
and not test_catalog_add_version \
and not test_catalog_validate_all \
and not test_optional_version \
and not PointcloudTest \
and not SatTest \
and not ItemScientificExtensionTest \
and not CollectionScientificExtensionTest \
and not AssetStorageExtensionTest \
and not TimestampsTest \
and not ViewTest \
and not ProjectionTest \
and not test_get_schema_uri" \
--ignore=$(CURDIR)/tests/validation/test_validate.py \
--ignore=$(CURDIR)/tests/test_writing.py \
$(CURDIR)/tests


%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html $(CURDIR)/docs $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

## pystac 1.10.1

=== debian/changelog ===
pystac (1.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 May 2024 05:10:06 +0000

pystac (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on python3-referencing to enable validation.
  * debian/rules:
    - Update the list of tests to skip.
  * debian/patches:
    - Drop 0004-Do-not-use-the-deprecated-utcnow.patch, applied upstream.
    - Refresh and renumber remaining patches.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 29 Mar 2024 15:06:12 +0000

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                python3-pytest-mock <!nocheck>,
                python3-pytest-recording <!nocheck>,
                python3-rasterio,
+               python3-referencing,
                python3-requests-mock <!nocheck>,
                python3-setuptools,
                python3-shapely,

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,7 @@
 export PYBUILD_TEST_ARGS=\
 -k "not test_read_remote \
 and not test_validate \
-and not test_multiple_extents \
-and not test_null_datetime \
 and not test_null_geometry \
-and not test_relative_extension_path \
 and not test_non_hierarchical_relative_link \
 and not test_apply_bitfields \
 and not test_set_variables \
@@ -26,10 +23,7 @@
 and not test_item_validate \
 and not test_all \
 and not test_required \
-and not test_self_contained_catalog_collection_item_links \
 and not test_assets \
-and not test_spatial_allows_single_bbox \
-and not test_invalid_error_message \
 and not test_migrate_from_v2_0_0 \
 and not test_migrate_from_v1_0_0 \
 and not test_add_version \
@@ -51,9 +45,8 @@
 and not TimestampsTest \
 and not ViewTest \
 and not ProjectionTest \
-and not test_get_schema_uri" \
---ignore=$(CURDIR)/tests/validation/test_validate.py \
---ignore=$(CURDIR)/tests/test_writing.py \
+and not test_get_schema_uri \
+and not test_testcases" \
 $(CURDIR)/tests

## pystac 1.11.0

=== debian/changelog ===
pystac (1.11.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 04 Oct 2024 06:39:55 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-design <!nodoc>,
                python3-urllib3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Homepage: https://github.com/stac-utils/pystac

## pystac 1.12.0

=== debian/changelog ===
pystac (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright file.
  * debian/control:
    - Add dependency on python3-sphinx-autbuild and python3-ipython.
  * debian/patches:
    - Refresh all patches.
    - New 0005-Workaround-for-doc-build-issue.patch.
  * debian/rules:
    - Skip tests requiring access to the internet.
  * Drop python-pystac-doc.lintian-overrides, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Jan 2025 17:19:37 +0000

## pystac 1.12.1

=== debian/changelog ===
pystac (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Add d/python-pystac-doc.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 29 Jan 2025 07:18:04 +0000

## pystac 1.12.2

=== debian/changelog ===
pystac (1.12.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Feb 2025 17:13:06 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                python3-boto3,
                python3-dateutil,
                python3-html5lib,
+               python3-ipython <!nodoc>,
                python3-jinja2,
                python3-jsonschema,
                python3-nbsphinx <!nodoc>,
@@ -26,6 +27,7 @@
                python3-setuptools,
                python3-shapely,
                python3-sphinx <!nodoc>,
+               python3-sphinx-autobuild <!nodoc>,
                python3-sphinx-design <!nodoc>,
                python3-urllib3
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,8 @@
 and not ViewTest \
 and not ProjectionTest \
 and not test_get_schema_uri \
-and not test_testcases" \
+and not test_testcases \
+and not test_apply_classes" \
 $(CURDIR)/tests

## pystac 1.13.0

=== debian/changelog ===
pystac (1.13.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/rules:
    - Skip tests requiring access to the internet.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 15 Apr 2025 18:43:57 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-sphinx-autobuild <!nodoc>,
                python3-sphinx-design <!nodoc>,
                python3-urllib3
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Homepage: https://github.com/stac-utils/pystac

## pystac 1.14.1

=== debian/changelog ===
pystac (1.14.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Mark python-pystac-doc as Multi-Arch: foreign.
    - Drop Rules-Requires-Root: no, no longer needed.
  * Set upstream metadata fields: Documentation.
  * debian/patches:
    - Refresh all patches.

  [ Bas Couwenberg ]
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 19 Sep 2025 06:42:03 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,6 @@
                python3-urllib3
 Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Homepage: https://github.com/stac-utils/pystac
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pystac
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pystac.git
@@ -68,6 +67,7 @@
 Package: python-pystac-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Suggests: www-browser

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,65 @@
 and not ProjectionTest \
 and not test_get_schema_uri \
 and not test_testcases \
-and not test_apply_classes" \
+and not test_apply_classes \
+and not test_apply \
+and not test_count \
+and not test_type \
+and not test_encoding \
+and not test_schemas \
+and not test_statistics \
+and not test_density \
+and not test_partial_apply \
+and not test_epsg \
+and not test_wkt2 \
+and not test_projjson \
+and not test_geometry \
+and not test_bbox \
+and not test_centroid \
+and not test_shape \
+and not test_transform \
+and not test_no_args_fails \
+and not test_orbit_state \
+and not test_relative_orbit \
+and not test_absolute_orbit \
+and not test_anx_datetime \
+and not test_platform_international_designator \
+and not test_relative_orbit_no_negative \
+and not test_both \
+and not test_clear_orbit_state \
+and not test_clear_relative_orbit \
+and not test_doi \
+and not test_citation \
+and not test_publications_one \
+and not test_publications \
+and not test_remove_publication_one \
+and not test_remove_all_publications_one \
+and not test_remove_publication_forward \
+and not test_remove_publication_reverse \
+and not test_remove_all_publications_with_some \
+and not test_remove_all_publications_with_none \
+and not test_collection_doi \
+and not test_collection_citation \
+and not test_collection_publications_one \
+and not test_collection_publications \
+and not test_collection_remove_publication_one \
+and not test_collection_remove_all_publications_one \
+and not test_collection_remove_publication_forward \
+and not test_collection_remove_publication_reverse \
+and not test_collection_remove_all_publications_with_some \
+and not test_collection_remove_all_publications_with_none \
+and not test_asset_platform \
+and not test_asset_region \
+and not test_asset_requester_pays \
+and not test_asset_tier \
+and not test_expires \
+and not test_published \
+and not test_unpublished \
+and not test_off_nadir \
+and not test_incidence_angle \
+and not test_azimuth \
+and not test_sun_azimuth \
+and not test_sun_elevation" \
 $(CURDIR)/tests

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/stac-utils/pystac/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pystac 1.14.2

=== debian/changelog ===
pystac (1.14.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 19 Dec 2025 07:23:34 +0000

## pystac 1.14.3

=== debian/changelog ===
pystac (1.14.3-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Drop 0004-Do-not-raise-error-on-deprecations.patch,
      no longer needed.
    - Refresh and renumber remaining patches.
  * Update dates in d/copyright.
  * debian/rules:
    - Clean the list of tests to skip.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Jan 2026 09:51:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pystac
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
@@ -30,7 +29,7 @@
                python3-sphinx-autobuild <!nodoc>,
                python3-sphinx-design <!nodoc>,
                python3-urllib3
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/stac-utils/pystac
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pystac

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

export PYBUILD_NAME=pystac

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html $(CURDIR)/docs $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif
